Skip to content
Amplify APIReference

Retrieve campaigns with performance statistics for a Marketer

GET/reports/marketers/{id}/campaigns
OB-TOKEN-V1<token>

Token obtained from the Obtain a token endpoint or the Amplify API token page. Valid for 30 days.

In: header

Path Parameters

id*string

Marketer id

Query Parameters

from?string

Start day Date

to?string

End day Date

limit?number

Number of results to return in this request. Used with offset for pagination. default is 10.

offset?number

Result number to start this response at. zero based. Used with limit for pagination. default is 0.

sort?string

Can have one of the following values impressions, clicks, ctr, spend, ecpc, conversions, conversionRate, cpa, name, enabled, creativeFormat, budgetStartDate, budgetEndDate and budgetAmount . For more details about reports filtering read this.

filter?string

Can have the following values impressions, clicks, ctr, spend, ecpc, conversions, conversionRate, cpa, name, enabled, creativeFormat, budgetStartDate, budgetEndDate, budgetAmount, budgetType, budgetShared and pacingType. For more details about reports filtering read this.

includeArchivedCampaigns?string

Include data of archived campaigns, default false.

budgetId?string

Limit to data of the budget with the given ID.

campaignId?string

Limit to data of the campaign with the given IDs (takes precedence over budgetId).

includeConversionDetails?string

Include metrics of conversion pixels, default false.

conversionsByClickDate?string

Report conversion metrics by click or conversion date, default false (report by conversion date).

includeViewedImpressions?string

When true, includes viewableImpressions in the response metrics. Default false.

timezone?string

Show metrics based on the selected timezone. Supported format is 'GMT+hh:mm' and should be escaped. If not specified data will be returned in ET

enabledCampaignsOnly?string

Include data of active campaigns only (data of inactive campaigns will not be shown). Relevant only when requesting all campaigns.

Response Body

application/json

curl -X GET "https://example.com/reports/marketers/abf4b02153ee75f3cadc4fc128ab0419ab/campaigns?from=2015-12-22&to=2016-01-20&limit=10&offset=3&sort=-ctr&filter=clicks%2Bgt%2B99&includeArchivedCampaigns=true&budgetId=adc4fc128ab0419ababf4b02153ee75f3c&campaignId=e75f3cadc4fc128ab0419ababf4b02153e%2C+0069fc0fe9598f99b4c528f0881cd74b4b&includeConversionDetails=true&conversionsByClickDate=true&includeViewedImpressions=false&timezone=GMT%2B12%3A00&enabledCampaignsOnly=true"
{  "results": [    {      "metadata": {        "id": "00f4b02153ee75f3c9dc4fc128ab041962",        "name": "Boost 'ABC' Brand",        "campaignOnAir": false,        "onAirReason": "CAMPAIGN_DISABLED",        "enabled": false,        "budget": {          "id": "00a6bf53c0e7231db16501ea78e750d16f",          "shared": false,          "amount": 2500,          "currency": "USD",          "startDate": "2015-05-23",          "endDate": "",          "type": "DAILY",          "pacing": "SPEND_ASAP"        },        "cpc": 0.081,        "lastCappingTime": "2015-05-24 21:56:22",        "creativeFormat": "Standard"      },      "metrics": {        "impressions": 4969401,        "clicks": 2061,        "totalConversions": 6,        "conversions": 5,        "viewConversions": 1,        "spend": 1532.44,        "ecpc": 0.74,        "ctr": 0.04,        "conversionRate": 0.24,        "viewConversionRate": 0,        "cpa": 306.49,        "totalCpa": 255.41,        "totalValue": 243.31,        "totalSumValue": 294.66,        "sumValue": 243.31,        "viewSumValue": 51.35,        "totalAverageValue": 49.11,        "averageValue": 48.66,        "viewAverageValue": 51.35,        "roas": 0.8,        "totalRoas": 0.6,        "conversionMetrics": [          {            "name": "Purchase",            "totalConversions": 1,            "conversions": 1,            "viewConversions": 0,            "conversionRate": 0.05,            "viewConversionRate": 0,            "totalCpa": 1532.44,            "cpa": 1532.44,            "totalValue": 240,            "totalSumValue": 240,            "sumValue": 240,            "viewSumValue": 0,            "totalAverageValue": 240,            "averageValue": 240,            "viewAverageValue": 0,            "roas": 0.3,            "totalRoas": 0.3          },          {            "name": "View",            "totalConversions": 102,            "conversions": 99,            "viewConversions": 3,            "conversionRate": 4.8,            "viewConversionRate": 0,            "totalCpa": 15.02,            "cpa": 15.48,            "totalValue": 0,            "totalSumValue": 0,            "sumValue": 0,            "viewSumValue": 0,            "totalAverageValue": 0,            "averageValue": 0,            "viewAverageValue": 0,            "roas": 0,            "totalRoas": 0          },          {            "name": "Add To Cart",            "totalConversions": 6,            "conversions": 5,            "viewConversions": 1,            "conversionRate": 0.24,            "viewConversionRate": 0,            "totalCpa": 255.41,            "cpa": 306.49,            "totalValue": 243.31,            "totalSumValue": 294.66,            "sumValue": 243.31,            "viewSumValue": 51.35,            "totalAverageValue": 49.11,            "averageValue": 48.66,            "viewAverageValue": 51.35,            "roas": 0.8,            "totalRoas": 0.7          }        ]      }    }  ],  "totalResults": 19,  "summary": {    "impressions": 15615028,    "clicks": 10756,    "totalConversions": 18,    "conversions": 17,    "viewConversions": 1,    "spend": 5693.03,    "ecpc": 0.53,    "ctr": 0.07,    "conversionRate": 0.16,    "viewConversionRate": 0,    "cpa": 334.88,    "totalCpa": 316.28,    "totalValue": 1099.6,    "totalSumValue": 1150.95,    "sumValue": 1099.6,    "viewSumValue": 51.35,    "totalAverageValue": 63.94,    "averageValue": 64.68,    "viewAverageValue": 51.35,    "roas": 0.8,    "totalRoas": 0.6,    "conversionMetrics": [      {        "name": "Add To Cart",        "totalConversions": 18,        "conversions": 17,        "viewConversions": 1,        "conversionRate": 0.16,        "viewConversionRate": 0,        "totalCpa": 316.28,        "cpa": 334.88,        "totalValue": 1099.6,        "totalSumValue": 1150.95,        "sumValue": 1099.6,        "viewSumValue": 51.35,        "totalAverageValue": 63.94,        "averageValue": 64.68,        "viewAverageValue": 51.35,        "roas": 0.3,        "totalRoas": 0.3      },      {        "name": "Purchase",        "totalConversions": 4,        "conversions": 4,        "viewConversions": 0,        "conversionRate": 0.04,        "viewConversionRate": 0,        "totalCpa": 1423.26,        "cpa": 1423.26,        "totalValue": 960,        "totalSumValue": 960,        "sumValue": 960,        "viewSumValue": 0,        "totalAverageValue": 240,        "averageValue": 240,        "viewAverageValue": 0,        "roas": 0.8,        "totalRoas": 0.7      },      {        "name": "View",        "totalConversions": 277,        "conversions": 272,        "viewConversions": 5,        "conversionRate": 2.53,        "viewConversionRate": 0,        "totalCpa": 20.55,        "cpa": 20.93,        "totalValue": 0,        "totalSumValue": 0,        "sumValue": 0,        "viewSumValue": 0,        "totalAverageValue": 0,        "averageValue": 0,        "viewAverageValue": 0,        "roas": 0,        "totalRoas": 0      }    ]  },  "totalFilteredResults": 1,  "summaryFiltered": {    "impressions": 4969401,    "clicks": 2061,    "totalConversions": 6,    "conversions": 5,    "viewConversions": 1,    "spend": 1532.44,    "ecpc": 0.74,    "ctr": 0.04,    "conversionRate": 0.24,    "viewConversionRate": 0,    "cpa": 306.49,    "totalCpa": 255.41,    "totalValue": 243.31,    "totalSumValue": 294.66,    "sumValue": 243.31,    "viewSumValue": 51.35,    "totalAverageValue": 49.11,    "averageValue": 48.66,    "viewAverageValue": 51.35,    "roas": 0.8,    "totalRoas": 0.6,    "conversionMetrics": [      {        "name": "Add To Cart",        "totalConversions": 6,        "conversions": 5,        "viewConversions": 1,        "conversionRate": 0.24,        "viewConversionRate": 0,        "totalCpa": 255.41,        "cpa": 306.49,        "totalValue": 243.31,        "totalSumValue": 294.66,        "sumValue": 243.31,        "viewSumValue": 51.35,        "totalAverageValue": 49.11,        "averageValue": 48.66,        "viewAverageValue": 51.35,        "roas": 0.8,        "totalRoas": 0.7      },      {        "name": "Purchase",        "totalConversions": 1,        "conversions": 1,        "viewConversions": 0,        "conversionRate": 0.05,        "viewConversionRate": 0,        "totalCpa": 1532.44,        "cpa": 1532.44,        "totalValue": 240,        "totalSumValue": 240,        "sumValue": 240,        "viewSumValue": 0,        "totalAverageValue": 240,        "averageValue": 240,        "viewAverageValue": 0,        "roas": 0.3,        "totalRoas": 0.3      },      {        "name": "View",        "totalConversions": 102,        "conversions": 99,        "viewConversions": 3,        "conversionRate": 4.8,        "viewConversionRate": 0,        "totalCpa": 15.02,        "cpa": 15.48,        "totalValue": 0,        "totalSumValue": 0,        "sumValue": 0,        "viewSumValue": 0,        "totalAverageValue": 0,        "averageValue": 0,        "viewAverageValue": 0,        "roas": 0,        "totalRoas": 0      }    ]  }}